

#ifndef _iodefs_h_
#define _iodefs_h_


/*
 *
 *          Copyright (C) 1996, M. A. Sridhar
 *  
 *
 *     This software is Copyright M. A. Sridhar, 1996. You are free
 *     to copy, modify or distribute this software  as you see fit,
 *     and to use  it  for  any  purpose, provided   this copyright
 *     notice and the following   disclaimer are included  with all
 *     copies.
 *
 *                        DISCLAIMER
 *
 *     The author makes no warranties, either expressed or implied,
 *     with respect  to  this  software, its  quality, performance,
 *     merchantability, or fitness for any particular purpose. This
 *     software is distributed  AS IS.  The  user of this  software
 *     assumes all risks  as to its quality  and performance. In no
 *     event shall the author be liable for any direct, indirect or
 *     consequential damages, even if the  author has been  advised
 *     as to the possibility of such damages.
 *
 */


#include "base/defs.h"


#if (defined(__BORLANDC__) && !defined(__OS2__)) || defined(_MSC_VER)
#  define YACL_IMPORT _import
#else
#  define YACL_IMPORT
#endif


#if defined(BUILD_DLL)
#    if defined(__MS_WINDOWS__) || defined(WINDOWS)
#        undef  YACL_BASE
#        undef  YACL_BASEFUNC
#        define YACL_BASE     
#        define YACL_BASEFUNC 
#        define YACL_IO       _export
#    elif defined(__MS_WIN32__) || defined(WIN32)
#        undef  YACL_BASE
#        undef  YACL_BASEFUNC
#        define YACL_BASE     YACL_IMPORT
#        define YACL_BASEFUNC YACL_IMPORT
#        define YACL_IO       _export
#    elif defined(__OS2__)
#        undef  YACL_BASE
#        undef  YACL_BASEFUNC
#        define YACL_BASE     
#        define YACL_BASEFUNC 
#        define YACL_IO       _export
#    else
#        error 'Cannot build DLL for' YACLPLATFORM
#    endif
#elif defined(USE_YACL_DLL)
#    define YACL_IO
#endif


#ifndef YACL_IO
#    define YACL_IO
#endif



#endif


